'\" t
.\"     Title: PLASTEX
.\"    Author: Carl F\(:urstenberg
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2007-07-19
.\"    Manual: [FIXME: manual]
.\"    Source: plastex
.\"  Language: English
.\"
.TH "PLASTEX" "1" "2007\-07\-19" "plastex" "[FIXME: manual]"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
plastex \- a collection of Python frameworks that allow you to process LaTeX documents
.SH "SYNOPSIS"
.HP \w'\fBplastex\fR\ 'u
\fBplastex\fR \fImylatex\&.tex\fR [\fB\-\-config=\fR\fB\fIconfig\-file\fR\fR | \fB\-c\ \fR\fB\fIconfig\-file\fR\fR] [\fB\-\-kpsewhich=\fR\fB\fIprogram\fR\fR] [\fB\-\-renderer=\fR\fB\fIrenderer\-name\fR\fR] [\fB\-\-theme=\fR\fB\fItheme\-name\fR\fR] [\fB\-\-copy\-theme\-extras\fR | \fB\-\-no\-theme\-extras\fR] [\fB\-\-base\-url=\fR\fB\fIurl\fR\fR] [\fB\-\-index\-columns=\fR\fB\fIinteger\fR\fR] [\fB\-\-title=\fR\fB\fIstring\fR\fR] [\fB\-\-toc\-depth=\fR\fB\fIinteger\fR\fR] [\fB\-\-toc\-non\-files\fR] [\fB\-\-counter=[\ \fR\ {\fIcounter\-name\fR}\ {\fIinitial\-value\fR}...\ \fB]\fR] [\fB\-\-links=[\ \fR\ {\fIkey\fR}\ [\fIurl\fR]\ {\fItitle\fR}\ \fB]\fR] [\fB\-\-bad\-filename\-chars=\fR\fB\fIstring\fR\fR] [\fB\-\-bad\-filename\-chars\-sub=\fR\fB\fIstring\fR\fR] [\fB\-\-dir=\fR\fB\fIdirectory\fR\fR | \fB\-d\ \fR\fB\fIdirectory\fR\fR] [\fB\-\-escape\-high\-chars\fR] [\fB\-\-filename=\fR\fB\fIfilename\fR\fR] [\fB\-\-input\-encoding=\fR\fB\fIencoding\fR\fR] [\fB\-\-output\-encoding=\fR\fB\fIencoding\fR\fR] [\fB\-\-split\-level=\fR\fB\fIinteger\fR\fR] [\fB\-\-image\-base\-url=\fR\fB\fIurl\fR\fR] [\fB\-\-image\-compiler=\fR\fB\fIprogram\fR\fR] [\fB\-\-enable\-images\fR | \fB\-\-disable\-images\fR] [\fB\-\-enable\-image\-cache\fR | \fB\-\-disable\-image\-cache\fR] [\fB\-\-imager=\fR\fB\fIprogram\fR\fR] [\fB\-\-image\-filenames=\fR\fB\fIfilename\fR\fR] [\fB\-\-vector\-imager=\fR\fB\fIprogram\fR\fR]
.SH "DESCRIPTION"
.PP
This manual page documents the
\fBplastex\fR
command\&.
.PP
This manual page was written for the
Debian(TM)
distribution because the original program does not have a manual page\&.
.PP
\fBplasTeX\fR
is a collection of Python frameworks that allow you to process LaTeX documents\&. This processing includes, but is not limited to, conversion of LaTeX documents to various document formats\&. Of course, it is capable of converting to HTML or XML formats such as DocBook and tBook, but it is an open framework that allows you to drive any type of rendering\&. This means that it could be used to drive a COM object that creates a MS Word Document\&.
.PP
The plasTeX framework allows you to control all of the processes including tokenizing, object creation, and rendering through API calls\&. You also have access to all of the internals such as counters, the states of \(lqif\(rq commands, locally and globally defined macros, labels and references, etc\&. In essence, it is a LaTeX document processor that gives you the advantages of an XML document in the context of a language as superb as Python\&.
.SH "OPTIONS"
.PP
These programs follow the usual
GNU
command line syntax, with long options starting with two dashes (`\-\*(Aq)\&. A summary of options is included below\&. For a complete description, see the
Info
files\&.
.PP
\fB\-\-config=\fR\fB\fIconfig\-file\fR\fR, \fB\-c \fR\fB\fIconfig\-file\fR\fR
.RS 4
Specifies a configuration file to load\&. This should be the first option specified on the command\-line\&.
.RE
.PP
\fB\-\-kpsewhich=\fR\fB\fIprogram\fR\fR
.RS 4
specifies the
\fBkpsewhich\fR
program to use to locate LaTeX files and packages\&.
.RE
.PP
\fB\-\-renderer=\fR\fB\fIrenderer\-name\fR\fR
.RS 4
specifies which renderer to use\&.
.RE
.PP
\fB\-\-theme=\fR\fB\fItheme\-name\fR\fR
.RS 4
specifies which theme to use\&.
.RE
.PP
\fB\-\-copy\-theme\-extras\fR, \fB\-\-no\-theme\-extras\fR
.RS 4
indicates whether or not extra files that belong to a theme (if there are any) should be copied to the output directory\&.
.RE
.PP
\fB\-\-base\-url=\fR\fB\fIurl\fR\fR
.RS 4
specifies a base URL to prepend to the path of all links\&.
.RE
.PP
\fB\-\-index\-columns=\fR\fB\fIinteger\fR\fR
.RS 4
specifies the number of columns to group the index into\&.
.RE
.PP
\fB\-\-sec\-num\-depth=\fR\fB\fIinteger\fR\fR
.RS 4
specifies the section level depth that should appear in section numbers\&. This value overrides the value of the secnumdepth counter in the document\&.
.RE
.PP
\fB\-\-title=\fR\fB\fIstring\fR\fR
.RS 4
specifies a title to use for the document instead of the title given in the LaTeX source document\&.
.RE
.PP
\fB\-\-toc\-depth=\fR\fB\fIinteger\fR\fR
.RS 4
specifies the number of levels to include in each table of contents\&.
.RE
.PP
\fB\-\-toc\-non\-files\fR
.RS 4
specifies that sections that do not create files should still appear in the table of contents\&. By default, only sections that create files will show up in the table of contents\&.
.RE
.PP
\fB\-\-counter=[ \fR\fB\fIcounter\-name\fR\fR\fB \fR\fB\fIinitial\-value\fR\fR\fB \&.\&.\&. ]\fR
.RS 4
specifies the initial counter values\&.
.RE
.PP
\fB\-\-links=[ \fR\fB\fIkey\fR\fR\fB \fR\fB\fIoptional\-url\fR\fR\fB \fR\fB\fItitle\fR\fR\fB ]\fR
.RS 4
specifies links to be included in the navigation object\&. Since at least two values are needed in the links (key and title, with an optional URL), the values are grouped in square brackets on the command\-line (\fI[ ]\fR)\&.
.RE
.PP
\fB\-\-bad\-filename\-chars=\fR\fB\fIstring\fR\fR
.RS 4
specifies all characters that should not be allowed in a filename\&. These characters will be replaced by the value in
\fI\-\-bad\-filename\-chars\-sub\fR\&.
.RE
.PP
\fB\-\-bad\-filename\-chars\-sub=\fR\fB\fIstring\fR\fR
.RS 4
specifies a string to use in place of invalid filename characters (specified by the
\fI\-\-bad\-chars\-sub\fR
option)\&.
.RE
.PP
\fB\-\-dir=\fR\fB\fIdirectory\fR\fR, \fB\-d \fR\fB\fIdirectory\fR\fR
.RS 4
specifies a directory name to use as the output directory\&.
.RE
.PP
\fB\-\-escape\-high\-chars\fR
.RS 4
some output types allow you to represent characters that are greater than 7\-bits with an alternate representation to alleviate the issue of file encoding\&. This option indicates that these alternate representations should be used\&.
.RE
.PP
\fB\-\-filename=\fR\fB\fIstring\fR\fR
.RS 4
specifies the templates to use for generating filenames\&. The filename template is a list of space separated names\&. Each name in the list is returned once\&.
.RE
.PP
\fB\-\-input\-encoding=\fR\fB\fIstring\fR\fR
.RS 4
specifies which encoding the LaTeX source file is in\&.
.RE
.PP
\fB\-\-output\-encoding=\fR\fB\fIstring\fR\fR
.RS 4
specifies which encoding the output files should use\&. Note: This depends on the output format as well\&. While HTML and XML use encodings, a binary format like MS Word, would not\&.
.RE
.PP
\fB\-\-split\-level=\fR\fB\fIinteger\fR\fR
.RS 4
specifies the highest section level that generates a new file\&. Each section in a LaTeX document has a number associated with its hierarchical level\&. These levels are \-2 for the document, \-1 for parts, 0 for chapters, 1 for sections, 2 for subsections, 3 for subsubsections, 4 for paragraphs, and 5 for subparagraphs\&. A new file will be generated for every section in the hierarchy with a value less than or equal to the value of this option\&. This means that for the value of 2, files will be generated for the document, parts, chapters, sections, and subsections\&.
.RE
.PP
\fB\-\-image\-base\-url=\fR\fB\fIurl\fR\fR
.RS 4
specifies a base URL to prepend to the path of all images\&.
.RE
.PP
\fB\-\-image\-compiler=\fR\fB\fIprogram\fR\fR
.RS 4
specifies which program to use to compile the images LaTeX document\&.
.RE
.PP
\fB\-\-enable\-images\fR, \fB\-\-disable\-images\fR
.RS 4
indicates whether or not images should be generated\&.
.RE
.PP
\fB\-\-enable\-image\-cache\fR \fB\-\-disable\-image\-cache\fR
.RS 4
indicates whether or not images should use a cache between runs\&.
.RE
.PP
\fB\-\-imager=\fR\fB\fIprogram\fR\fR
.RS 4
specifies which converter will be used to take the output from the LaTeX compiler and convert it to images\&. You can specify a space delimited list of names as well\&. If a list of names is specified, each one is verified in order to see if it works on the current machine\&. The first one that succeeds is used\&.
.sp
You can use the value of \(lqnone\(rq to turn the imager off\&.
.RE
.PP
\fB\-\-image\-filenames=\fR\fB\fIfilename\-template\fR\fR
.RS 4
specifies the image naming template to use to generate filenames\&. This template is the same as the templates used by the
\fI\-\-filename\fR
option
.RE
.PP
\fB\-\-vector\-imager=\fR\fB\fIprogram\fR\fR
.RS 4
specifies which converter will be used to take the output from the LaTeX compiler and convert it to vector images\&. You can specify a space delimited list of names as well\&. If a list of names is specified, each one is verified in order to see if it works on the current machine\&. The first one that succeeds is used\&.
.sp
You can use the value of \(lqnone\(rq to turn the vector imager off\&.
.RE
.SH "AUTHOR"
.PP
\fBCarl F\(:urstenberg\fR
.RS 4
This manual page was written for the
Debian(TM)
system (but may be used by others), it borrows heavily on the documentation shipped with the plastex source package\&. Permission is granted to copy, distribute and/or modify this document under the terms of the
GNU
General Public License, Version 2 any later version published by the Free Software Foundation\&.
.sp
.RS 4n
On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common\-licenses/GPL\&.
.RE
.RE
.SH "COPYRIGHT"
.br
Copyright \(co 2007 Carl F\(:urstenberg
.br
